pango.FontFace
Prev | The pango Class Reference | Next

## pango.FontFace

pango.FontFace — an object representing a group of fonts varying only in size.

## Synopsis

    class pango.FontFace(gobject.GObject):
        def describe()
        def get_face_name()
        def list_sizes()

## Description

A `pango.FontFace` object represents a group of fonts with the same family, weight, slant, stretch and width but varying sizes. A list of font faces can be retrieved from a `pango.FontFamily` object using the `pango.FontFamily.list_faces`() method.

## Ancestry

    +-- gobject.GObject
      +-- pango.FontFace

## Methods

### pango.FontFace.describe

        def describe()

Returns : | a `pango.FontDescription` object containing the description of the face.

The `describe`() method returns a `pango.FontDescription` object containing the family, style, variant, weight and stretch of the `pango.FontFace`. The size attribute field will be unset.

### pango.FontFace.get_face_name

        def get_face_name()

Returns : | the face name for the face.

The `get_face_name`() method returns a string representing this font face. This name is unique among all faces in the family and is suitable for displaying to users.

### pango.FontFace.list_sizes

        def list_sizes()

Returns : | a tuple containing a list of face sizes in pango units or `None`

### Note

This method is available in PyGTK 2.4 and above.

The `list_sizes`() method returns a tuple containing the available sizes for a bitmap font. If the font face is a scalable font this method returns `None`.

Prev | Up | Next
pango.FontDescription | Home | pango.FontFamily